unit TestForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  KsHooks, KsForms, KsSkinForms, KsSkinEngine, KsItems, KsSkinItems,
  KsButtons, KsSkinButtons, KsControls, KsMenus, KsSkinMenus, KsTrackBars,
  KsSkinTrackBars, KsProgress, KsSkinProgress, KsScrollBars,
  KsSkinScrollBars, KsCheckBoxs, KsSkinCheckBoxs, KsGroupBoxs,
  KsSkinGroupBoxs, KsPanels, KsSkinPanels, Menus, KsTabs, KsSkinTabs,
  KsSpeedButtons, KsSkinSpeedButtons, KsSpinButtons, KsSkinSpinButtons,
  KsListBoxs, KsSkinListBoxs, KsComboBoxs, KsSkinComboBoxs, StdCtrls, Mask,
  KsEdits, KsSkinEdits;

type
  TfrmTest = class(TForm)
    SE: TSeSkinEngine;
    SeSkinForm1: TSeSkinForm;
    SeSkinMenuBar1: TSeSkinMenuBar;
    SeSkinButton1: TSeSkinButton;
    CustomItem1: TSeSkinItem;
    CustomItem2: TSeSkinItem;
    CustomItem3: TSeSkinItem;
    CustomItem4: TSeSkinItem;
    CustomItem5: TSeSkinItem;
    CustomItem6: TSeSkinItem;
    CustomItem7: TSeSkinItem;
    CustomItem8: TSeSkinItem;
    CustomItem9: TSeSkinItem;
    CustomItem10: TSeSkinItem;
    CustomItem11: TSeSkinItem;
    CustomItem12: TSeSkinItem;
    SeSkinPopupMenu1: TSeSkinPopupMenu;
    CustomItem13: TSeSkinItem;
    CustomItem14: TSeSkinItem;
    CustomItem15: TSeSkinItem;
    CustomItem16: TSeSkinItem;
    CustomItem17: TSeSkinItem;
    SeSkinPanel1: TSeSkinPanel;
    SeSkinRadioButton1: TSeSkinRadioButton;
    SeSkinRadioButton2: TSeSkinRadioButton;
    SeSkinPanel2: TSeSkinPanel;
    SeSkinGroupBox1: TSeSkinGroupBox;
    SeSkinCheckBox1: TSeSkinCheckBox;
    SeSkinCheckBox2: TSeSkinCheckBox;
    SeSkinCheckBox3: TSeSkinCheckBox;
    SeSkinScrollBar1: TSeSkinScrollBar;
    SeSkinScrollBar2: TSeSkinScrollBar;
    SeSkinProgressBar1: TSeSkinProgressBar;
    SeSkinProgressBar2: TSeSkinProgressBar;
    SeSkinTrackBar1: TSeSkinTrackBar;
    SeSkinTrackBar2: TSeSkinTrackBar;
    SeSkinTabControl1: TSeSkinTabControl;
    TKsCustomTabSheet1: TKsCustomTabSheet;
    TKsCustomTabSheet2: TKsCustomTabSheet;
    SeSkinTabControl2: TSeSkinTabControl;
    SeSkinEdit1: TSeSkinEdit;
    SeSkinComboBox1: TSeSkinComboBox;
    SeSkinListBox1: TSeSkinListBox;
    SeSkinSpeedButton1: TSeSkinSpeedButton;
    SeSkinSpeedButton2: TSeSkinSpeedButton;
    SeSkinSpeedButton3: TSeSkinSpeedButton;
    SeSkinSpeedButton4: TSeSkinSpeedButton;
    SeSkinSpinButton1: TSeSkinSpinButton;
    NgSpinButton1: TSeSkinSpinButton;
    procedure CustomItem6Click(Sender: TObject);
    procedure SeSkinTrackBar1Change(Sender: TObject);
    procedure SeSkinScrollBar2Change(Sender: TObject);
    procedure SeSkinTrackBar2Change(Sender: TObject);
    procedure SeSkinScrollBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTest: TfrmTest;

implementation

{$R *.DFM}

procedure TfrmTest.CustomItem6Click(Sender: TObject);
begin
  close;
end;

procedure TfrmTest.SeSkinTrackBar1Change(Sender: TObject);
begin
  SeSkinProgressBar1.Position:= SeSkinTrackBar1.Position;
end;

procedure TfrmTest.SeSkinScrollBar2Change(Sender: TObject);
begin
  SeSkinProgressBar1.Position:= SeSkinScrollBar2.Position;
end;

procedure TfrmTest.SeSkinTrackBar2Change(Sender: TObject);
begin
  SeSkinProgressBar2.Position:= SeSkinTrackBar2.Position;
end;

procedure TfrmTest.SeSkinScrollBar1Change(Sender: TObject);
begin
    SeSkinProgressBar2.Position:= SeSkinScrollBar1.Position;
end;

end.
